<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:card_view="http://schemas.android.com/apk/res-auto"
    xmlns:app="http://schemas.android.com/tools"
    android:orientation="vertical"
    app:ignore="NamespaceTypo">

    <androidx.cardview.widget.CardView
        android:id="@+id/cardview"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="center"
        android:elevation="2dp"
        android:paddingRight="10dp"
        android:paddingBottom="10dp"
        card_view:cardUseCompatPadding="true"
        card_view:cardElevation="3dp"
        card_view:cardCornerRadius="8dp"
        card_view:cardBackgroundColor="@color/grey_light">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/constraint_card"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <ImageView
                app:layout_constraintWidth_percent="0.48"
                android:id="@+id/recipe_list_image"
                card_view:layout_constraintStart_toStartOf="@+id/constraint_card"
                android:layout_width="120dp"
                android:layout_height="175dp"
                android:scaleType="centerCrop"
                app:ignore="MissingConstraints" />

            <LinearLayout
                android:layout_width="262dp"
                app:layout_constraintWidth_percent="0.48"
                android:id="@+id/recipe_list_linear"
                card_view:layout_constraintEnd_toEndOf="@+id/constraint_card"
                android:layout_height="match_parent"
                android:orientation="horizontal"
                android:paddingLeft="10dp"
                android:paddingRight="10dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/recipe_list_title"
                        android:layout_width="match_parent"
                        android:layout_height="52dp"
                        android:textColor="@color/black"
                        android:paddingTop="20dp"
                        android:textSize="22dp" />

                    <TextView
                        android:id="@+id/recipe_list_publisher"
                        android:layout_width="match_parent"
                        android:textColor="@color/grey"
                        android:layout_height="38dp"
                        android:layout_weight="1" />

                    <TextView
                        android:id="@+id/recipe_source_url"
                        android:layout_width="match_parent"
                        android:textColor="@color/grey"
                        android:paddingBottom="10dp"
                        android:layout_height="70dp" />
                </LinearLayout>

            </LinearLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.cardview.widget.CardView>

</LinearLayout>